{% load static %}

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Log in</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="{% static 'css/story9.css' %}">
</head>

<body style="background-color:  #378C3F">
    <div style="margin: 30%; margin-top: 8%">
   <section id="style1" style="background-color: #fff;">
    {% for message in messages %}
    <script>
        alert("{{ message }}")
    </script>
    {% endfor %}

    {% if user.is_authenticated %}
    <h2> Hi {{ user.username }}! </h2>
    <p> You have already logged in </p>
    <a href='/story9/' class="up btn btn-outline-dark px-2 rounded-pill scroll-top">Back to Home</a>
    <a href='/story9/logout/' class="up btn btn-outline-dark px-2 rounded-pill scroll-top">Logout</a>
    {% else %}
    <div class="font1"> Log in </div>

    <form action="" method="POST">
        {% csrf_token %}
        <br>
        <div>
        <p>Username:</p>
        <input id="username" name="username" type="text" required> 
        </div>
        <br>
        <div>
        <p>Password:</p>
        <input id="password" name="password" type="password" required> 
        </div>
        <br>
        
       <div> <input type="submit" value="Log in" class="up btn btn-outline-dark px-2 rounded-pill scroll-top" id="login"></div>
    </form>

    <br>
    <div>
        Don't have an account? Sign up
        <a href='/story9/signup'> here </a>
    </div>
    <br>
    </div>
    {% endif %}
</section>


</body>

</html>
